:root {
  /* colors */
  --color-akane: #e52728;
  --color-denim-800: #1e3047;
  --color-denim-700: #253c5b;
  --color-denim-600: #587193;
  --color-denim-500: #a0b2ca;
  --color-denim-400: #b6c9e1;
  --color-denim-300: #e7eef8;
  --color-denim-200: #fbfcfe;
  --color-denim-100: #fff;
  --color-warning: #fa5;
  --color-flamingo: #e44491;
  --color-primary: #0172f5;
  --color-heliotrope: #a67bfe;
  --color-chili: #f24040;

  /* fonts */
  --rem-base: 18; /* used to compute rem value from desired pixel value (e.g., calc(18 / var(--rem-base) * 1rem) = 18px) */
  --body-font-size: 1.0625em; /* 17px */
  --body-font-size--desktop: 1.125em; /* 18px */
  --body-font-size--print: 0.9375em; /* 15px */
  --body-line-height: 1.15;
  --body-font-color: var(--color-denim-700);
  --body-font-family: "Open Sans", sans-serif;
  --body-font-weight-bold: 500;
  --heading-font-family: "Luengo", 'Helvetica Neue', helvetica, arial, sans-serif;
  --monospace-font-family: "Source Code Pro", monospace;
  --monospace-font-weight-bold: 500;
  /* base */
  --body-background: var(--color-denim-100);
  --panel-background: var(--color-denim-300);
  --panel-border-color: var(--color-denim-800);
  --scrollbar-thumb-color: var(--color-denim-300);
  /* navbar */
  --navbar-background: var(--color-denim-700);
  --navbar-font-color: var(--color-denim-100);
  --navbar_hover-background: var(--color-denim-800);
  --navbar-button-background: var(--color-denim-100);
  --navbar-button-border-color: var(--panel-border-color);
  --navbar-button-font-color: var(--body-font-color);
  --navbar-menu-border-color: var(--panel-border-color);
  --navbar-menu-background: var(--color-denim-800);
  --navbar-menu-font-color: var(--color-denim-100);
  --navbar-menu_hover-background: var(--color-denim-600);
  /* nav */
  --nav-background: var(--color-denim-300);
  --nav-border-color: var(--color-denim-800);
  --nav-line-height: 1.35;
  --nav-heading-font-color: var(--color-denim-700);
  --nav-muted-color: var(--color-denim-600);
  --nav-panel-divider-color: var(--color-denim-800);
  --nav-secondary-background: var(--color-denim-300);
  /* toolbar */
  --toolbar-background: var(--color-denim-300);
  --toolbar-border-color: var(--color-denim-300);
  --toolbar-font-color: var(--color-denim-700);
  --toolbar-muted-color: var(--color-denim-600);
  --page-version-menu-background: var(--color-denim-400);
  --page-version-missing-font-color: var(--color-denim-600);
  /* toc */
  --toc-font-color: var(--nav-muted-color);
  --toc-heading-font-color: var(--doc-font-color);
  --toc-border-color: var(--panel-border-color);
  --toc-line-height: 1.2;
  /* admonitions */
  --caution-color: var(--color-warning);
  --caution-on-color: var(--color-denim-100);
  --important-color: var(--color-flamingo);
  --important-on-color: var(--color-denim-100);
  --note-color: var(--color-primary);
  --note-on-color: var(--color-denim-100);
  --tip-color: var(--color-heliotrope);
  --tip-on-color: var(--color-denim-100);
  --warning-color: var(--color-chili);
  --warning-on-color: var(--color-denim-100);
  /* doc */
  --doc-font-color: var(--color-denim-700);
  --doc-font-size: inherit;
  --doc-font-size--desktop: calc(17 / var(--rem-base) * 1rem);
  --doc-line-height: 1.6;
  --doc-margin: 0 auto;
  --doc-margin--desktop: 0 2rem;
  --heading-font-color: var(--color-denim-700);
  --heading-font-weight: normal;
  --alt-heading-font-weight: var(--body-font-weight-bold);
  --section-divider-color: var(--panel-border-color);
  --link-font-color: var(--color-primary);
  --link_hover-font-color: var(--color-primary);
  --link_unresolved-font-color: var(--caution-color);
  --abstract-background: var(--color-denim-700);
  --abstract-font-color: var(--color-denim-200);
  --abstract-border-color: var(--panel-border-color);
  --admonition-background: var(--color-denim-200);
  --admonition-border-color: var(--color-denim-400);
  --admonition-label-font-weight: var(--body-font-weight-bold);
  --caption-font-color: var(--color-denim-700);
  --caption-font-weight: var(--body-font-weight-bold);
  --code-background: var(--panel-background);
  --code-font-color: var(--body-font-color);
  --example-background: var(--color-denim-100);
  --example-border-color: var(--color-denim-700);
  --kbd-background: var(--panel-background);
  --kbd-border-color: var(--color-denim-200);
  --pre-background: var(--panel-background);
  --pre-border-color: var(--panel-border-color);
  --pre-annotation-font-color: var(--color-denim-200);
  --quote-background: var(--panel-background);
  --quote-border-color: var(--color-denim-700);
  --quote-font-color: var(--color-denim-700);
  --quote-attribution-font-color: var(--color-denim-600);
  --sidebar-background: var(--color-denim-300);
  --table-border-color: var(--panel-border-color);
  /* footer */
  --footer-line-height: var(--doc-line-height);
  --footer-background: var(--color-denim-600);
  --footer-font-color: var(--color-denim-400);
  --footer-link-font-color: var(--color-denim-800);
  /* dimensions and positioning */
  --navbar-height: calc(63 / var(--rem-base) * 1rem);
  --toolbar-height: calc(45 / var(--rem-base) * 1rem);
  --drawer-height: var(--toolbar-height);
  --body-top: var(--navbar-height);
  --body-min-height: calc(100vh - var(--body-top));
  --nav-height: calc(var(--body-min-height) - var(--toolbar-height));
  --nav-height--desktop: var(--body-min-height);
  --nav-panel-height: calc(var(--nav-height) - var(--drawer-height));
  --nav-panel-height--desktop: calc(var(--nav-height--desktop) - var(--drawer-height));
  --nav-width: calc(270 / var(--rem-base) * 1rem);
  --toc-top: calc(var(--body-top) + var(--toolbar-height));
  --toc-height: calc(100vh - var(--toc-top) - 2.5rem);
  --toc-width: calc(162 / var(--rem-base) * 1rem);
  --toc-width--widescreen: calc(216 / var(--rem-base) * 1rem);
  --doc-max-width: calc(720 / var(--rem-base) * 1rem);
  --doc-max-width--desktop: calc(828 / var(--rem-base) * 1rem);
  /* stacking */
  --z-index-nav: 1;
  --z-index-toolbar: 2;
  --z-index-page-version-menu: 3;
  --z-index-navbar: 4;
}
